<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="DOCUMENTOS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=DOCUMENTOS';";
echo "</script>";
}

include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">

  
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
</head>

 
 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>

 <script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

<BODY onLoad="parametros.serial.focus();" >
<?php
date_default_timezone_set('America/Bogota');
$fecsis=date("Y-m-d");
$horasis=date("H:i:s");

include "../conexion.php";
$documento=$_REQUEST["documento"]; 
$permiso=$_REQUEST["p"]; 

$cuenta="";$tipoconcepto="";$cencos="";$valor="";$detalle="";$iva="";$retefuente="";$reteica="";$reteiva="";

$rs_cencos=mysqli_query($conexion,"SELECT id,nombre FROM par_centro_costo where empresa='".$vg_empresa."' and estado='1' order by nombre asc");
$rs_cuenta=mysqli_query($conexion,"SELECT id,nombre FROM par_conceptos where empresa='".$vg_empresa."' and estado='1' order by nombre asc");
$rs_tipoconcepto=mysqli_query($conexion,"SELECT codigo,nombre FROM par_generales where tipo='tipo_concepto' order by codigo asc");

if($_REQUEST["id"]>0)
	{  
		     $id=$_REQUEST["id"];
			  $sql_datos =mysqli_query($conexion,"select item,cuenta,tipoconcepto,cencos,valor,detalle,iva,retefuente,reteica,reteiva
												  FROM documento_item
												  where id='".$id."'");
				while($datoslog= mysqli_fetch_row($sql_datos))
					 { 
						  $item=$datoslog[0];
						  $cuenta=$datoslog[1];
						  $tipoconcepto=$datoslog[2];
						  $cencos=$datoslog[3];
						  $valor=number_format($datoslog[4],2,'.',','); 
						  $detalle=$datoslog[5];
						  $iva=$datoslog[6];
						  $retefuente=$datoslog[7];
						  $reteica=$datoslog[8];
						  $reteiva=$datoslog[9];
					 }
	}
	

if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"];   		
	$cuenta=$_REQUEST["cuenta"];   		
	$tipoconcepto=$_REQUEST["tipoconcepto"];   		
	$cencos=$_REQUEST["cencos"];   		
	$valor=str_replace(',','',$_REQUEST['valor']);
	$detalle=$_REQUEST["detalle"];   		
	$iva=$_REQUEST["iva"];   		
	$retefuente=$_REQUEST["retefuente"];   		
	$reteica=$_REQUEST["reteica"];   		
	$reteiva=$_REQUEST["reteiva"];   		


if($_REQUEST["oguardar"]==1)
	{  
	  if($vg_login<>"")
	   {
			$existeitem=1;
			if($existeitem==1)
			{
				$pasamod=1;
				if($pasamod==1)
				   {  	
						 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento_item where documento='".$documento."' and empresa='".$vg_empresa."'");
		 				  while($datos= mysqli_fetch_row($sql_contar)){ $item=$datos[0]+1;}
		   
						  $sql_insert=mysqli_query($conexion,"insert into documento_item 
										(documento,empresa,item,cuenta,tipoconcepto,cencos,valor,detalle,iva,retefuente,reteica,reteiva,
										 fecsis,horasis,usuario)
										  values('".$documento."','".$vg_empresa."','".$item."',
												 '".$cuenta."','".$tipoconcepto."','".$cencos."',
												 '".$valor."','".$detalle."','".$iva."','".$retefuente."','".$reteica."','".$reteiva."',
												 '".$fecsis."','".$horasis."','".$vg_login."')"); 	
						 if($sql_insert)
						   {
								$mensaje="Se registro el item";
								?>				  
								<script>
								cuteToast({
									  type: "success", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
						   }	 
						 else 
						  {
							  $mensaje="Error al registrar el item";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 4000
								})
							</script>
						   <?php
									
						  }	
					  }
				  else
				   {
					   $mensaje="No se puede agregar el items";
									?>				  
									<script>
									cuteToast({
										  type: "error", // or 'info', 'error', 'warning'
										  message: "<?php echo $mensaje; ?>",
										  timer: 4000
										})
									</script>
								   <?php
					} 
			}
		   else
		    {
			   $mensaje="No existe el item asociado a la empresa";	
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 4000
						})
					</script>
				   <?php
			}	
       }
     else
      {
	  	 $mensaje="Debe cerrar session y volverte a loguear";
			 ?>				  
			<script>
			cuteToast({
				  type: "error", // or 'info', 'error', 'warning'
				  message: "<?php echo $mensaje; ?>",
				  timer: 4000
				})
			</script>
		   <?php	
	  }
 }//fin guardar
				 
				 
	
if($_REQUEST["omodificar"]==1)
	 {   
				$pasamod=1;
				if($pasamod==1)
				   {  	   
								  $sql_insert=mysqli_query($conexion,"update documento_item set
																		cuenta='".$cuenta."',
																		tipoconcepto='".$tipoconcepto."',
																		cencos='".$cencos."',
																		valor='".$valor."',
																		detalle='".$detalle."',
																		iva='".$iva."',
																		retefuente='".$retefuente."',
																		reteica='".$reteica."',
																		reteiva='".$reteiva."'
																		where id='".$id."'");
								 if($sql_insert)
								   {/*echo "<script>alert('Se registro los datos');</script>";*/
									  $mensaje="Se modifico el Item el item";
									  ?>				  
										<script>
										cuteToast({
											  type: "success", // or 'info', 'error', 'warning'
											  message: "<?php echo $mensaje; ?>",
											  timer: 4000
											})
										</script>
									   <?php
								   }	
								 else 
								  {
									   /*echo "<script>alert('Error al registra los datos');</script>";*/
								   $mensaje="Error al modificar el item";
											?>				  
										<script>
                                        cuteToast({
                                              type: "error", // or 'info', 'error', 'warning'
                                              message: "<?php echo $mensaje; ?>",
                                              timer: 4000
                                            })
                                        </script>
                                       <?php
								  }	
				 	}
				  else
				   {
					 $mensaje="No se puede agregar item.";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php 
					} 
	 }//fin guardar				 



  if(isset ($_REQUEST['nuevo']))
	   { 
	   		$id="";$cuenta="";$tipoconcepto="";$cencos="";$valor="";$detalle="";$iva="";$retefuente="";$reteica="";$reteiva="";
	   }


  if($_REQUEST['obuscaitem']==1)
	   { 
	   		 $sql_datdes=mysqli_query($conexion,"SELECT count(*) FROM producto where id='".$item."'");
			 while($datosdes= mysqli_fetch_row($sql_datdes)){ $contar=$datosdes[0];}
			 if($contar>=1)
			  {
				 $sql_datdes=mysqli_query($conexion,"SELECT nombre,precio
				 									 FROM producto where id='".$item."'");
				 while($datosdes= mysqli_fetch_row($sql_datdes))
				  { 
				    $descripcion=$datosdes[0];
					//$valorunitario=$datosdes[1];
				  }
			  }
			  else
			  {
				$mensaje="No existe el Item ";	 
				?>				  
					<script>
                    cuteToast({
                          type: "error", // or 'info', 'error', 'warning'
                          message: "<?php echo $mensaje; ?>",
                          timer: 4000
                        })
                    </script>
                   <?php  
			  }
	   }


	if($_REQUEST["oquitar"]==1)
	  {   
		 $pasamod=1;
		if($pasamod==1)
		   {  
					$c=1; $entro=0;  $canti=$_REQUEST['cantir'];
					while($c<=$canti)
					{  
						if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
						$id=$_REQUEST['id'.$c];
						if($val==1)
						  { 
							$sql_insert=mysqli_query($conexion,"delete from  documento_item where id='".$id."'"); 
							$entro=1;
						  }
						$c=$c+1;
					}//fin cliclo	  
					
					if($entro==1)
					 {  $cr=1;
						
					 }
					
			}
		  else
			   {
				 $mensaje="No se puede quitar";
						?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
					   <?php 
				} 
	  }//fin guardar


}


?>
<form name="frmempresa" method="post" action="" >
<center>
  <div class="panel panel-primary" style="width:99%" >
  <div class="pd-20">
						<h4 class="text-black h4">ITEMS DOCUMENTO</h4>
					</div>
       <div align="center">

			<input name="despacho" type="hidden"   id="oc" value="<?php echo $oc; ?>">	  
            <input name="despacho" type="hidden"   id="empresa" value="<?php echo $empresa; ?>">	  
            <input name="id" type="hidden"   id="id" value="<?php echo $id; ?>">	  
				  <table class="table" border='1'  >
                    
                     <tr> 
                      <td colspan="12"><div align="center"> 
                          <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary" />
                          <input name="guardar" type="button"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" />
                          <input name="modificar" type="button"  id="modificar"  value="Modificar" onClick="return pregunta_modificar();"  class="btn btn-primary" />
                          <input name="actualizar" type="submit"  id="actualizar"  value="Actualizar" class="btn btn-primary"  />
                         <input name="oguardar" type="hidden" id="oguardar">
                          <input name="omodificar" type="hidden" id="omodificar">
                          <input name="obuscaitem" type="hidden" id="obuscaitem">                          
                          <input name="oquitar" type="hidden" id="oquitar">                          
                          <input name="oculto" type="hidden" id="oculto">
                        </div></td>
                    </tr>
                    
                    <tr> 
                      <td width="10%" align="center" class="btn-primary" >ITEM</td>
                      <td width="15%" align="center" class="btn-primary">CONCEPTO/CUENTA</td>
                      <td width="7%" align="center" class="btn-primary">TIPO CONCEPTO</td>
                      <td width="8%" align="center" class="btn-primary">CENCOS</td>
                      <td width="10%" align="center" class="btn-primary">VALOR</td>
                      <td width="10%" align="center" class="btn-primary">DETALLE</td>
                      <td width="10%" align="center" class="btn-primary">IVA</td>
                      <td width="10%" align="center" class="btn-primary">RETEFTE</td>
                      <td width="10%" align="center" class="btn-primary">RETEICA</td>
                      <td width="10%" align="center" class="btn-primary">RETEIVA</td>
                    </tr>
                    <tr> 
                      <td  align="center"><div  class="texto_campos">
                        <table width="100%" border="0">
                          <tbody>
                            <tr>
                              <td><input name="item" type="text"   id="item" value="<?php echo $item; ?>" 								
								class="form-control"  style="width: 50px; ">
							</td>
                             <td>
								<table width="100%" border='0'	>
									<tr>
										<td>
										<input name="verifica" type="submit" id="verifica" value=" >> " title="Clic para Buscar"
                      			 onClick="obuscaitem.value=1;" class="btn btn-primary" >
										</td>
										<td>

										<img src="../imagenes/productos.png" width="40" height="40" title="Ayuda"  onClick="javascript:window.open('productobuscar.php?Obuscarn=0&vale=<?php echo $vale;?>&empresa=<?php echo $empresa;?>&p=<?php echo $permiso; ?>','Reporteherr','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1100,height=500');" />

										</td>
									</tr>
								</table>							 
							</td>
                            </tr>
                          </tbody>
                        </table>
                      </div></td>
                      <td  align="center"><select name="cuenta" id="cuenta"  class="form-control"  style="width: 100%" >
                      <option value="0" ></option>
                        <?php while ($rowba=mysqli_fetch_array($rs_cuenta))
                									{
                									 if ($cuenta==$rowba['id'])
                										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,50)."</option>";}
                									 else
                										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,50)."</option>";}		
                									}
                							 ?>
                      </select></td>
                      <td  align="center"><select name="tipoconcepto" id="tipoconcepto"  class="form-control"  style="width: 100%" >
                      <option value="0" ></option>
                        <?php while ($rowba=mysqli_fetch_array($rs_tipoconcepto))
                									{
                									 if ($tipoconcepto==$rowba['codigo'])
                										{echo "<option value=".$rowba['codigo']." selected>".substr($rowba['nombre'],0,40)."</option>";}
                									 else
                										{echo "<option value=".$rowba['codigo'].">".substr($rowba['nombre'],0,40)."</option>";}		
                									}
                							 ?>
                      </select></td>
                      <td  align="center"><select name="cencos" id="cencos"  class="form-control"  style="width: 100%" >
                      		<option value="0" ></option>
                        <?php while ($rowba=mysqli_fetch_array($rs_cencos))
                									{
                									 if ($cencos==$rowba['id'])
                										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
                									 else
                										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
                									}
                							 ?>
                      </select></td>
                      <td align="center"><input name="valor" type="text"   id="valor" value="<?php echo $valor; ?>" 								 
								class="form-control"  style="width: 90%; text-align:right; "
                                  onkeypress='mascara(this,cpf)' ></td>
                      <td align="center"><input name="detalle" type="text"   id="detalle" value="<?php echo $detalle; ?>" 								 
								class="form-control"  style="width: 95%;"></td>
                      <td align="center"><input name="iva" type="text"   id="iva" value="<?php echo $iva; ?>" 
								 onFocus="this.style.background='#D5EAFF'" 
								 onBlur="this.style.background='#ffffff'" 
								class="form-control"  style="width: 90%; "
                               
                                 ></td>
                      <td align="center"><input name="retefuente" type="text"   id="retefuente" value="<?php echo $retefuente; ?>" 
								 onFocus="this.style.background='#D5EAFF'" 
								 onBlur="this.style.background='#ffffff'" 
								class="form-control"  style="width: 90%; "
                               
                                 ></td>
                      <td align="center"><input name="reteica" type="text"   id="reteica" value="<?php echo $reteica; ?>" 
								 onFocus="this.style.background='#D5EAFF'" 
								 onBlur="this.style.background='#ffffff'" 
								class="form-control"  style="width: 90%; "
                               
                                 ></td>
                      <td align="center"><input name="reteiva" type="text"   id="reteiva" value="<?php echo $reteiva; ?>" 
								 onFocus="this.style.background='#D5EAFF'" 
								 onBlur="this.style.background='#ffffff'" 
								class="form-control"  style="width: 90%; "
                               
                                 ></td>                     
                    </tr>
                   
                    
                    <?php
							$c=1;$suma=0;
							$sql_datos=mysqli_query($conexion,"select id,item,cuenta,tipoconcepto,cencos,valor,detalle,iva,retefuente,reteica,reteiva
																FROM documento_item
																where documento='".$documento."'
																and empresa='".$vg_empresa."'
																order by id asc");
							while($datoslog= mysqli_fetch_row($sql_datos))//01
							{
								$id=$datoslog[0];
								$item=$datoslog[1];
								$cuenta=$datoslog[2];
								$tipoconcepto=$datoslog[3];
								$cencos=$datoslog[4];
								$valor=$datoslog[5];
								$detalle=$datoslog[6];
								$iva=$datoslog[7];
								$retefuente=$datoslog[8];
								$reteica=$datoslog[9];
								$reteiva=$datoslog[10];

								$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_centro_costo where id='".$cencos."'");
								while($datoccs= mysqli_fetch_row($rs_ccs)){$ncencos=$datoccs[0];}
								
								$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_conceptos where id='".$cuenta."'");
								while($datoccs= mysqli_fetch_row($rs_ccs)){$ncuenta=$datoccs[0];}

								$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipoconcepto."'");
								while($datoccs= mysqli_fetch_row($rs_ccs)){$ntipoconcepto=$datoccs[0];}

								echo "<tr>
										<td align='center'>
										<input name='id$c' type='hidden' id='id$c'  value='$id'>
										<input type='checkbox' name='ch$c'>
										<input name='borra' type='submit' id='borra' value='-' onClick='oquitar.value=1;' class='btn btn-primary' >
										<br><a href='documento_item.php?id=$id&documento=$documento'>$id</a>
									</td>
										<td align='center'>$ncuenta</td>
										<td align='center'>$ntipoconcepto</td>
										<td align='center'>$ncencos</td>										
										<td align='right'>".number_format($valor)."</td>
										<td align='center'>$detalle</td>		
										<td align='center'>$iva</td>
										<td align='center'>$retefuente</td>
										<td align='center'>$reteica</td>
										<td align='center'>$reteiva</td>
									</tr>";
									$total=$cantidad*$valorunitario;
									$suma=$suma+$total;
								$c++;	
							}
							echo "<tr>
										<td align='center'></td>
										<td align='center'></td>
										<td align='center'></td>
										<td align='center'></td>
										<td align='center'></td>
										<td align='center'><strong>".number_format($suma)."</strong></td>
										<td align='center'></td>
									</tr>";
									
							$canti=$c-1;
							echo "<input type='hidden' name='cantir' value='$canti' readonly size='10'>";	
							mysqli_close($conexion);
							
							
 
					?>
                    
                    
                  </table>
                
</div>
</div>	
</center>

<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>  



<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  

	var mensaje='';
		 if(document.frmempresa.cuenta.value>0){}
		 else {mensaje=mensaje + 'Cuenta Concepto,';    }
		 if(document.frmempresa.tipoconcepto.value>0){}
		 else {mensaje=mensaje + 'Tipo Concepto,';    }
		 if(document.frmempresa.cencos.value>0){}
		 else {mensaje=mensaje + 'Centro Costo,';    }
		 if(document.frmempresa.valor.value!=''){}
		 else {mensaje=mensaje + 'Valor,';    }

		if(document.frmempresa.tipoconcepto.value>0 && document.frmempresa.cencos.value>0 &&  document.frmempresa.valor.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>

</form>
</body>
</html>
